Skip to main content
GET
/
employees
/
{employeeId}
/
effective-tax-info
Get the effective tax code and NI category for an employee on a specific date
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/employees/{employeeId}/effective-tax-info \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "effectiveTaxCode": {
        "code": "1257L",
        "effectiveDate": "2024-04-06",
        "reason": "Annual Review",
        "issuedBy": "HMRC",
        "week1Month1": false
      },
      "effectiveNiCategory": {
        "category": "A",
        "effectiveDate": "2024-04-06",
        "reason": "Annual Review",
        "issuedBy": "HMRC"
      },
      "effectiveDate": "2024-06-15",
      "taxYear": 2024
    },
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

employeeId
string
required

The ID of the employee

Query Parameters

date
string<date>

The date to get effective tax info for (YYYY-MM-DD). Defaults to today if not provided.

Response

Effective tax info retrieved successfully

message
object
content
object
validationIssues
object[]
messageToken
string